<div
  class="relative h-[31px] flex items-center justify-center cursor-pointer"
  [class.blue-btn]="type == 'blue'"
  [class.orange-btn]="type == 'orange'"
  [class.green-btn]="type == 'green'"
  (click)="onClicked($event)"
>
  <img
    src="/assets/images/buttons/btn-left.webp"
    alt=""
    class="absolute -left-[2px] -top-[5px]"
  />
  <h2 class="h2-title mb-[3px] text-nowrap overflow-hidden">{{ text }}</h2>
  <img *ngIf="icon" [src]="icon" alt="" class="w-5 h-5 ml-1 mb-[3px]" />
  <img
    src="/assets/images/buttons/btn-right.webp"
    alt=""
    class="absolute -right-[2px] -top-[5px]"
  />
</div>
